Skip to main content

Mobile App Events

The Mobile App audience requires that a Snap App ID is connected to the Ad Account and events are reported to Snap, the Mobile App audience is dynamically updated as events get reported over time.

Attributes​

AttributeDescriptionRequiredPossible Values
nameAudience segment nameR375 characters max
retention_in_days# of days to retain audience membersRUp to 395 days
prefillInclude event data recorded prior to the audience creationRAlways set to TRUE
ad_account_idAd account ID for the new audienceRXXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX
source_typeData source typeRMOBILE
mobile_metadataMobile metadata object required for mobile app eventsRSee below example

prefill

  • Always set to “TRUE”.

mobile_app_spec

  • If multiple app events, always include the “or” object. We only support the “OR” operative, so do not try other operatives.
  • Always include the “event” object with at least one mobile app event as the “eq” (equal) parameter.
  • Eligible Mobile App Events
    • APP_INSTALL
    • PURCHASE
    • SAVE
    • START_CHECKOUT
    • ADD_CART
      • Adds to Basket equivalent
    • VIEW_CONTENT
    • ADD_BILLING
    • SIGN_UP
    • SEARCH
    • LEVEL_COMPLETE
    • APP_OPEN
    • PAGE_VIEW
    • SUBSCRIBE
    • AD_CLICK
    • AD_VIEW
    • COMPLETE_TUTORIAL
    • INVITE
    • LOGIN
    • SHARE
    • RESERVE
    • ACHIEVEMENT_UNLOCKED
    • ADD_TO_WISHLIST
    • SPENT_CREDITS
    • RATE
    • START_TRIAL
    • LIST_VIEW
    • CUSTOM_EVENT_1
    • CUSTOM_EVENT_2
    • CUSTOM_EVENT_3
    • CUSTOM_EVENT_4
    • CUSTOM_EVENT_5

Example request​

In this example an audience is created out of Snapchatters that have triggered an AD_CLICK or an ADD_TO_WISHLIST in the past 90 days.

curl -X POST 'https://adsapi.snapchat.com/v1/adaccounts/{ad_account_id}/segments' \
--header 'Authorization: Bearer meowmeowmeow' \
--header 'Content-Type: application/json' \
--data '{
"segments": [
{
"name": "mobile_app_test",
"retention_in_days": 90,
"prefill": true,
"ad_account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"source_type": "MOBILE",
"mobile_metadata": {
"mobile_snapkit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"mobile_app_spec": {
"or": {
"event": [
{
"eq": "AD_CLICK"
},
{
"eq": "ADD_TO_WISHLIST"
}
]
}
}
}
}
]
}'
Was this page helpful?
Yes
No